# Contributing to DNNF

Thank you for choosing to invest your time in contributing to DNNF!
Before participating, please read our [Code of Conduct](./CODE_OF_CONDUCT.md) 
to help keep our community approachable and respectable.

## How to Contribute

### Report a Bug

Ensure the bug was not already reported by searching on GitHub under [Issues](https://github.com/dlshriver/dnnf/issues).
If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/dlshriver/dnnf/issues/new). 
Be sure to include a **title** and **clear description** with as much relevant information as possible, as well as a **code sample** or an **executable test case** demonstrating the issue.

### Submit a Patch or Improvement

Open a new GitHub pull request with the patch.
Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.
Please ensure the code has been formatted with [black](https://github.com/psf/black) and [isort](https://github.com/PyCQA/isort) prior to making the pull request.
This can be done by using the provided `scripts/style.sh` script with the `--format` option.
<!-- 
TODO: Describe coding conventions, etc.
-->

> Cosmetic changes that do not add anything substantial to the stability, functionality, or testability of DNNF will generally not be accepted.

<!--
TODO:
## General Overview

Information on repo layout, standards, conventions, etc.
-->
